Actualizar PHP - Mirall digital
  • Necesitas actualizar la versión del PHP si quieres evitar problemas de seguridad en tu página web
  • A finales de año la versión 5 de PHP dejará de recibir soporte en seguridad y será vulnerable
  • El 61.7% de todos los sitios web con “lenguaje de programación del lado del servidor conocido” utilizan actualmente las versiones PHP 5.5, y PHP 5.6 (anticuadas)
  • Las versiones 5.x y anteriores dejarán de tener soporte a partir del 31 de diciembre de 2018, es decir que dejarán de recibir actualizaciones de seguridad para su servidor y para las tecnologías derivadas

 

El PHP, explicado de manera sencilla, es un lenguaje de “scripting” que ayuda a las páginas web a ser más interactivas ya que les permite una multitud de funcionalidades. Es un lenguaje del lado del servidor diseñado para el desarrollo web, aunque también es usado como lenguaje de programación general. Con PHP, por ejemplo, un sitio web puede hacer cosas como tener usuarios y contraseñas. Hasta el día de hoy mucha gente no tenía ni idea de PHP ni de qué versión tenía instalada en su página web, ni falta que le hacía. Lo que pasa estas semanas es que a finales de año las versiones 5 y anteriores dejarán de tener actualizaciones y pueden convertirse en un auténtico problema de seguridad. Hay, pues, que actualizar la versión de PHP de manera urgente.

“Toda parte de una página web que no está actualizada se convierte en un problema de seguridad potencialmente peligroso”

Esto quiere decir que el día 1 de enero de 2019 las páginas web que no tengan instalada, como mínimo, la versión 6.1 de PHP desaparecerán? No, en absoluto! Esto significa que a partir de esta  fecha todos los problemas que aparezcan en las versiones 5.x del PHP no se solucionarán y un día aún por determinar este error puede ser letal para la web, sobre todo a nivel de seguridad.

En esta situación concreta se pone de manifiesto la importancia de mantener actualizada una página web, tanto a nivel de plugins como de servidor. Pongamos, por ejemplo, una página web diseñada con wordpress. Esta web tiene, de media, un tema instalado y unos 15 plugins, con lo que casi cada semana hay alguna actualización para hacer, además de la actualización constante del propio wordpress. Nos podemos encontrar, de este modo, que después de 3 meses sin mantener nuestra web tenemos para actualizar el propio wordpress, el tema principal y 9 plugins, causando un agujero de seguridad muy peligroso.

“No actualizar la página web de manera continua es muy peligroso a nivel de seguridad

El PHP tiene la peculiaridad de que no lo encontramos en la web sino en el servidor y esto puede complicar un poco esta actualización tan necesaria. Siguiendo con el ejemplo de la web diseñada con wordpress las acciones a desarrollar serían:

  • Acceder al servidor y comprobar la versión actual del PHP. Toda versión anterior a la 6 se debe actualizar. Es recomendable hacerlo a la 7.
  • Comprobar que el tema y todos los plugins son compatibles con la versión de PHP que se quiere instalar. Existen plugins específicos para hacer esta comprobación.
  • Si todo el software es compatible proceder a la actualización desde el servidor. Si no lo es (esto depende de cada tema y plugin), sustituir los programas no compatibles por otros compatibles.

“Es imprescindible comprobar que todos los programas que forman la web sean compatibles con la nueva versión de PHP

Esta acción de actualizar y mantener la web debería ser mucho más habitual de lo que lo es en la mayoría de las webs. Hay que proteger la web de ataques y de código malicioso, es necesario mantener las funcionalidades activas y, sobre todo, ayudar a posicionar la página mediante la creación continua de contenido (SEO).

Si todo esto que os hemos explicado os suena a chino pero de lo contrario os fiáis de nuestro criterio os animamos a poneros en contacto con nosotros y os ayudaremos a hacer esta actualización (y todas las que necesitéis) a un precio muy asequible.